Page MenuHomePhorge

No OneTemporary

Authored By
Unknown
Size
1 KB
Referenced Files
None
Subscribers
None
diff --git a/drydocker/libkolabxml/build.sh b/drydocker/libkolabxml/build.sh
new file mode 100755
index 0000000..518617f
--- /dev/null
+++ b/drydocker/libkolabxml/build.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -x
+
+docker run -it \
+ --attach=stdout \
+ --attach=stderr \
+ --detach=false \
+ -e "ID=${id}" \
+ -e "COMMIT=${commit}" \
+ -e "DIFFERENTIAL=${differential}" \
+ -e "PACKAGE=${package}" \
+ -e "PHAB_CERT=${PHAB_CERT}" \
+ -e "PHAB_USER=${PHAB_USER}" \
+ -e "PHID=${phid}" \
+ -e "URI=${uri}" \
+ -e "RO_URI=${ro_uri}" \
+ -e "VCS=${vcs}" \
+ -e "TEST_BUILD=${test_build}" \
+ -e "TEST_FUNCTIONAL=${test_functional}" \
+ -e "TEST_INTEGRATION=${test_integration}" \
+ -e "TEST_PERFORMANCE=${test_performance}" \
+ -e "TEST_UNIT=${test_unit}" \
+ kolab/ci-maipo
+
+exit $?
diff --git a/drydocker/libkolabxml/test_build.sh b/drydocker/libkolabxml/test_build.sh
new file mode 100755
index 0000000..c1ab0e5
--- /dev/null
+++ b/drydocker/libkolabxml/test_build.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+pushd /srv/libkolabxml.git
+
+retval=0
+
+if [ -x "./autogen.sh" ]; then
+ ./autogen.sh --prep ; retval=$?
+
+ if [ ${retval} -ne 0 ]; then
+ echo "FAILED to prepare the build."
+ exit 1
+ fi
+
+ ./autogen.sh --build ; retval=$?
+
+ if [ ${retval} -ne 0 ]; then
+ echo "FAILED to build."
+ exit 1
+ fi
+fi
+
+popd
diff --git a/drydocker/libkolabxml/test_unit.sh b/drydocker/libkolabxml/test_unit.sh
new file mode 100755
index 0000000..9c064e6
--- /dev/null
+++ b/drydocker/libkolabxml/test_unit.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+pushd /srv/libkolabxml.git
+
+retval=0
+
+if [ -x "./autogen.sh" ]; then
+ ./autogen.sh --test ; retval=$?
+
+ if [ ${retval} -ne 0 ]; then
+ echo "FAILED tests."
+ exit 1
+ fi
+fi
+
+popd

File Metadata

Mime Type
text/x-diff
Expires
Sat, Apr 4, 9:10 AM (3 w, 1 d ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
18823407
Default Alt Text
(1 KB)

Event Timeline